JaxbKeyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbKeyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbKeyElement

    public class JaxbKeyElement

extends Object

Java class for key-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="key-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-null" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="on-delete" default="noaction">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}token">
                 <enumeration value="cascade"/>
                 <enumeration value="noaction"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="property-ref" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unique" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="update" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JaxbColumnElement>` | `column`
`protected String` | `columnAttribute`
`protected String` | `foreignKey`
`protected Boolean` | `notNull`
`protected String` | `onDelete`
`protected String` | `propertyRef`
`protected Boolean` | `unique`
`protected Boolean` | `update`

Constructor Summary
`JaxbKeyElement()`

Method Summary
`List<JaxbColumnElement>` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`String` | `getForeignKey()` Gets the value of the foreignKey property.
`String` | `getOnDelete()` Gets the value of the onDelete property.
`String` | `getPropertyRef()` Gets the value of the propertyRef property.
`Boolean` | `isNotNull()` Gets the value of the notNull property.
`Boolean` | `isUnique()` Gets the value of the unique property.
`Boolean` | `isUpdate()` Gets the value of the update property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` | `setNotNull(Boolean value)` Sets the value of the notNull property.
`void` | `setOnDelete(String value)` Sets the value of the onDelete property.
`void` | `setPropertyRef(String value)` Sets the value of the propertyRef property.
`void` | `setUnique(Boolean value)` Sets the value of the unique property.
`void` | `setUpdate(Boolean value)` Sets the value of the update property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    protected List<JaxbColumnElement> column

### columnAttribute

    protected String columnAttribute

### foreignKey

    protected String foreignKey

### notNull

    protected Boolean notNull

### onDelete

    protected String onDelete

### propertyRef

    protected String propertyRef

### unique

    protected Boolean unique

### update

    protected Boolean update

Constructor Detail

### JaxbKeyElement

    public JaxbKeyElement()

Method Detail

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### isNotNull

    public Boolean isNotNull()

  Gets the value of the notNull property.

  Returns:
    possible object is `Boolean`

### setNotNull

    public void setNotNull(Boolean value)

  Sets the value of the notNull property.

  Parameters:
    `value` - allowed object is `Boolean`

### getOnDelete

    public String getOnDelete()

  Gets the value of the onDelete property.

  Returns:
    possible object is `String`

### setOnDelete

    public void setOnDelete(String value)

  Sets the value of the onDelete property.

  Parameters:
    `value` - allowed object is `String`

### getPropertyRef

    public String getPropertyRef()

  Gets the value of the propertyRef property.

  Returns:
    possible object is `String`

### setPropertyRef

    public void setPropertyRef(String value)

  Sets the value of the propertyRef property.

  Parameters:
    `value` - allowed object is `String`

### isUnique

    public Boolean isUnique()

  Gets the value of the unique property.

  Returns:
    possible object is `Boolean`

### setUnique

    public void setUnique(Boolean value)

  Sets the value of the unique property.

  Parameters:
    `value` - allowed object is `Boolean`

### isUpdate

    public Boolean isUpdate()

  Gets the value of the update property.

  Returns:
    possible object is `Boolean`

### setUpdate

    public void setUpdate(Boolean value)

  Sets the value of the update property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.